> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Job Lookup

> Retrieve job posting details for a specific company using a job search ID.



## OpenAPI

````yaml en-openapi POST /companies/jobs/lookup
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /companies/jobs/lookup:
    post:
      tags:
        - Lookup
      summary: Look up company job postings
      description: >-
        Retrieve job posting details for a specific company using a job search
        ID.
      operationId: companies_lookup_jobs
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                job_search_id:
                  $ref: '#/components/schemas/job_search_id'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              required:
                - job_search_id
      responses:
        '200':
          description: Successful response containing company job details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  job_id: 371d0c44-4c56-4c9c-98e2-ef6dd986b848
                  job_search_id: 371d0c44-4c56-4c9c-98e2-ef6dd986b848
                  last_modified: '2025-05-31T20:41:27.894Z'
                  companies:
                    logo_url: >-
                      https://buckets.pubrio.com/company-logo/OTQxMjYxMTFnb29nbGUuY29tLnBrbGlua2VkaW5fcF9sb2dvMTU=.jpg
                    domain_search_id: 539e2c34-de6b-4613-8f5b-e3aa18b4ef47
                    company_name: Google
                    linkedin_name: google
                    country_code: US
                    domain: google.com
                  location: Seoul, Seoul, South Korea
                  job_url: >-
                    https://kr.linkedin.com/jobs/view/software-engineer-greach-program-for-people-with-disabilities-%EC%9E%A5%EC%95%A0%EC%9D%B8-%EC%B1%84%EC%9A%A9-at-google-4224659596?position=7&pageNum=0&refId=DwDpGXGftUql%2FkETvFCwXw%3D%3D&trackingId=gAvrIP0yUQuf8fjK67HSbQ%3D%3D
                  posting_date: '2025-05-31'
                  country_code: KR
                  location_id: 491
                  title: >-
                    Software Engineer, gReach Program for People with
                    Disabilities (장애인 채용)
                  country: South Korea
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    job_search_id:
      type: string
      format: uuid
      example: 371d0c44-4c56-4c9c-98e2-ef6dd986b848
      description: A unique identifier for the company job search operation.
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
    data:
      type: object
      nullable: true
      description: Response info depends on specific endpoint.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````